org.springframework.data.relational.repository.query

## Interface RelationalParameterAccessor

All Superinterfaces:
  Iterable<Object>, ParameterAccessor

All Known Implementing Classes:
  RelationalParametersParameterAccessor

    public interface RelationalParameterAccessor
    extends ParameterAccessor

Relational-specific `ParameterAccessor`.

Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`Parameters<?,?>` `getBindableParameters()`
`Object[]` `getValues()` Returns the raw parameter values of the underlying query method.

### Methods inherited from interface org.springframework.data.repository.query.ParameterAccessor

`findDynamicProjection, getBindableValue, getDynamicProjection, getPageable, getSort, hasBindableNullValue, iterator`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getValues

    Object[] getValues()

Returns the raw parameter values of the underlying query method.

#### getBindableParameters

    Parameters<?,?> getBindableParameters()

Returns:
  the bindable parameters.